> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses expensesprocessing



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/expenses/processing
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/expenses/processing:
    post:
      tags:
        - BusinessExpenseJobs
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/TransactionsJobsBatchTransactionUploadRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/TransactionsJobsBatchTransactionUploadRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/TransactionsJobsBatchTransactionUploadRequest
      responses:
        '200':
          description: OK
components:
  schemas:
    TransactionsJobsBatchTransactionUploadRequest:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/TransactionsJobsTransactionUploadRequest'
          nullable: true
        merge:
          type: boolean
        note:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        employeeId:
          type: integer
          format: int64
          nullable: true
        expenseReportId:
          type: integer
          format: int64
          nullable: true
        categoryId:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/TransactionsJobsOCRTransactionType'
        payerType:
          $ref: '#/components/schemas/ModelsTransactionsPayerType'
      additionalProperties: false
    TransactionsJobsTransactionUploadRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        vendorId:
          type: integer
          format: int64
          nullable: true
        expenseReportId:
          type: integer
          format: int64
          nullable: true
        categoryId:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/TransactionsJobsOCRTransactionType'
        payerType:
          $ref: '#/components/schemas/ModelsTransactionsPayerType'
        s3Key:
          type: string
          nullable: true
      additionalProperties: false
    TransactionsJobsOCRTransactionType:
      enum:
        - AUTO
        - RECEIPT
        - INVOICE
      type: string
    ModelsTransactionsPayerType:
      enum:
        - EMPLOYEE
        - COMPANY
      type: string

````